Bug 1113029 - supermin depend on findutils
Summary: supermin depend on findutils
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: supermin
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-25 10:10 UTC by ENDOH takanao
Modified: 2014-07-04 00:30 UTC (History)
1 user (show)

Fixed In Version: supermin-5.1.8-9.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-04 00:30:37 UTC


Attachments (Terms of Use)

Description ENDOH takanao 2014-06-25 10:10:21 UTC
Description of problem:

supermin is depend on findutils that includes xargs and find commands.
but that dependency is not described to rpm packages.


Version-Release number of selected component (if applicable):

supermin-5.1.8-8.fc21


Additional info:

# supermin --prepare yum -o supermin.d
/bin/sh: line 2: xargs: command not found
sh: line 2: find: command not found

# rpm -q supermin
supermin-5.1.8-8.fc21.x86_64

# rpm -qR supermin
/bin/bash
/usr/sbin/mke2fs
cpio
e2fsprogs-libs >= 1.42
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.15)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libc.so.6(GLIBC_2.7)(64bit)
libc.so.6(GLIBC_2.8)(64bit)
libcom_err.so.2()(64bit)
libdl.so.2()(64bit)
libdl.so.2(GLIBC_2.2.5)(64bit)
libext2fs.so.2()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcc_s.so.1(GCC_3.3.1)(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
tar
util-linux-ng
yum-utils
rpmlib(PayloadIsXz) <= 5.2-1

Comment 1 Richard W.M. Jones 2014-06-25 10:26:02 UTC
Thanks -- fixed in Rawhide:
http://pkgs.fedoraproject.org/cgit/supermin.git/commit/?id=e08b3617e4b2fecc4bb7b1d56be8f626ab0d994f

I will also submit this for F20 since it affects that too.

Comment 2 Fedora Update System 2014-06-25 11:22:57 UTC
supermin-5.1.8-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/supermin-5.1.8-9.fc20

Comment 3 Fedora Update System 2014-06-26 01:52:36 UTC
Package supermin-5.1.8-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing supermin-5.1.8-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7731/supermin-5.1.8-9.fc20
then log in and leave karma (feedback).

Comment 4 ENDOH takanao 2014-06-26 11:55:16 UTC
Thank you for fixes.

(on rawhide:fc21)
# yum install --enablerepo=updates-testing supermin-5.1.8-9.fc20 --releasever=20 --nogpgcheck

# supermin --prepare yum -o supermin.d
(it was complete without errors)

# rpm -qR supermin
/bin/bash
/usr/sbin/mke2fs
cpio
e2fsprogs-libs >= 1.42
findutils
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.15)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libc.so.6(GLIBC_2.7)(64bit)
libc.so.6(GLIBC_2.8)(64bit)
libcom_err.so.2()(64bit)
libdl.so.2()(64bit)
libdl.so.2(GLIBC_2.2.5)(64bit)
libext2fs.so.2()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcc_s.so.1(GCC_3.3.1)(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
tar
util-linux-ng
yum-utils
rpmlib(PayloadIsXz) <= 5.2-1

Comment 5 Fedora Update System 2014-07-04 00:30:37 UTC
supermin-5.1.8-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.